Bug 6365 - Missing information about tab number when mandatory fields unfilled
Summary: Missing information about tab number when mandatory fields unfilled
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Janusz Kaczmarek
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-05-18 16:33 UTC by Janusz Kaczmarek
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot illustrating the problem (10.36 KB, image/png)
2011-05-18 16:33 UTC, Janusz Kaczmarek
Details
Proposed patch (895 bytes, patch)
2011-05-18 16:39 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Proposed patch (with the header) (1.16 KB, patch)
2011-05-19 07:21 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Signed off patch (1.23 KB, patch)
2011-05-19 19:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2011-05-18 16:33:17 UTC
Created attachment 4168 [details]
Screenshot illustrating the problem

When saving a new/modified record, Koha checks whether all mandatory field are filled.  If not a javascript warning is displayed with appropriate information.

Now the information about tab is missing (cf. screenshot).

The reason are changes to addbiblio template after introducing Template::Toolkit (cf. also Bug 6257).

A patch will follow.
Comment 1 Janusz Kaczmarek 2011-05-18 16:39:04 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-05-19 05:57:48 UTC
Hi Janusz,

I am not sure what's wrong but your patch didn't apply for me: 
git am -i -3 -s
Patch format detection failed.

I see it's also missing your name and some other things normally given on top of the patch. Perhaps you want to check your git configuration.
Comment 3 Janusz Kaczmarek 2011-05-19 07:21:08 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2011-05-19 19:50:37 UTC
Created attachment 4196 [details] [review]
Signed off patch
Comment 5 Chris Cormack 2011-05-29 03:54:34 UTC
T::T bug, pushed please test
Comment 6 Magnus Enger 2011-07-16 09:21:19 UTC
The number of the tab of a missing field is now displayed correctly.